package com.foreverwin.mesnac.dispatch.dto;

import java.io.Serializable;

public class RouterDTO implements Serializable {

    /**主键**/
    private String handle;
    /**站点**/
    private String site;
    /**工艺路线 HANDLE**/
    private String routerBo;
    /**工艺路线**/
    private String router;
    /**工艺路线版本**/
    private String revision;
    /**工艺路线描述**/
    private String description;
    /**工艺路线状态**/
    private String statusBo;
    /**工艺路线工序步骤**/
    private String stepId;
    /**工艺路线工序**/
    private String operation;
    /**工艺路线工序**/
    private String operationBo;
    /**工艺路线工序描述**/
    private String operationDescription;
    /**资源类型**/
    private String resourceType;
    /**工艺路线工序步骤自定义字段-派工类型**/
    private String dispatchType;
    /**工艺路线工序步骤自定义字段-工序工时**/
    private String prodHours;
    /**工艺路线工序步骤自定义字段-标准人数**/
    private String standardNumber;
    /**员工类型**/
    private String employeeType;
    /**工艺路线工步BO**/
    private String routerStepBo;
    /**工艺路线入口工步BO**/
    private String entryRouterStepBo;
    /**下一步骤**/
    private String nextStepBo;

    public String getHandle() {
        return handle;
    }

    public void setHandle(String handle) {
        this.handle = handle;
    }

    public String getSite() {
        return site;
    }

    public void setSite(String site) {
        this.site = site;
    }

    public String getRouterBo() {
        return routerBo;
    }

    public void setRouterBo(String routerBo) {
        this.routerBo = routerBo;
    }

    public String getRouter() {
        return router;
    }

    public void setRouter(String router) {
        this.router = router;
    }

    public String getRevision() {
        return revision;
    }

    public void setRevision(String revision) {
        this.revision = revision;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getStatusBo() {
        return statusBo;
    }

    public void setStatusBo(String statusBo) {
        this.statusBo = statusBo;
    }

    public String getStepId() {
        return stepId;
    }

    public void setStepId(String stepId) {
        this.stepId = stepId;
    }

    public String getOperation() {
        return operation;
    }

    public void setOperation(String operation) {
        this.operation = operation;
    }

    public String getOperationBo() {
        return operationBo;
    }

    public void setOperationBo(String operationBo) {
        this.operationBo = operationBo;
    }

    public String getOperationDescription() {
        return operationDescription;
    }

    public void setOperationDescription(String operationDescription) {
        this.operationDescription = operationDescription;
    }

    public String getResourceType() {
        return resourceType;
    }

    public void setResourceType(String resourceType) {
        this.resourceType = resourceType;
    }

    public String getDispatchType() {
        return dispatchType;
    }

    public void setDispatchType(String dispatchType) {
        this.dispatchType = dispatchType;
    }

    public String getProdHours() {
        return prodHours;
    }

    public void setProdHours(String prodHours) {
        this.prodHours = prodHours;
    }

    public String getStandardNumber() {
        return standardNumber;
    }

    public void setStandardNumber(String standardNumber) {
        this.standardNumber = standardNumber;
    }

    public String getEmployeeType() {
        return employeeType;
    }

    public void setEmployeeType(String employeeType) {
        this.employeeType = employeeType;
    }

    public String getRouterStepBo() {
        return routerStepBo;
    }

    public void setRouterStepBo(String routerStepBo) {
        this.routerStepBo = routerStepBo;
    }

    public String getEntryRouterStepBo() {
        return entryRouterStepBo;
    }

    public void setEntryRouterStepBo(String entryRouterStepBo) {
        this.entryRouterStepBo = entryRouterStepBo;
    }

    public String getNextStepBo() {
        return nextStepBo;
    }

    public void setNextStepBo(String nextStepBo) {
        this.nextStepBo = nextStepBo;
    }
}
